{% extends "@App/public_layout.html.twig" %}
{% trans_default_domain 'FOSUserBundle' %}

{% block page_title %}
    Connexion
{% endblock %}

{% block page_subtitle %}
    Pour entrer dans l'espace citoyen.ne.s
{% endblock %}

{% set color = 'blue' %}

{% block body %}
        <div class="col-xs-offset-1 col-xs-10 col-sm-12" style="margin-top: 50px">
            {% if error %}
                <div class="row">
                    <div class="col-sm-5 col-sm-offset-4 alert alert-danger">
                        <i class="fa fa-warning"></i> {{ error.messageKey|trans(error.messageData, 'security') }}
                    </div>
                </div>
            {% endif %}

            <form role= "form" action="{{ path("fos_user_security_check") }}" method="post" class="form-horizontal">

                <input type="hidden" name="_csrf_token" value="{{ csrf_token }}" />

                <div class="form-group">
                    <label for="username" class="col-sm-4 control-label">Nom d'utilisateur.trice </label>
                    <div class="col-sm-5">
                        <input class="form-control" type="text" id="username" name="_username" value="{{ last_username }}" required="required" />
                    </div>
                    <div class="col-sm-4"><span class="pull-right"><small> Votre email ou votre pseudo</small></span></div>
                </div>

                <div class="form-group">
                    <label for="password" class="col-sm-4 control-label">Mot de passe</label>
                    <div class="col-sm-5">    
                        <input class="form-control" type="password" id="password" name="_password" required="required" />
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-offset-4 col-sm-4">
                        <div class="checkbox">
                            <label for="remember_me">
                                <input type="checkbox" id="remember_me" name="_remember_me" value="on" />Se souvenir de moi
                            </label>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-offset-4 col-sm-3 vertical-center">
                        <input type="submit" class="btn btn-primary btn-lg" id="_submit" name="_submit" value="{{ 'security.login.submit'|trans }}" />
                    </div>
                </div>

            </form>
        </div>
        <div class="col-xs-offset-1 col-xs-10 col-sm-12">

            <h3 class="pinkLinkColor">Si vous ne connaissez pas votre mot de passe :
                <a href="{{ path('fos_user_resetting_request') }}">Mot de passe oublié/inconnu ?</a></h3><br>
            <h3 class="blueLinkColor">Si vous recevez la lettre d'information, vous êtes déjà inscrit.e, sinon :
                <a href="{{ path('public_contact') }}">S'inscrire</a></h3>
        </div>

{% endblock %}
